GET api/badgereaderapi/badgereadersbypc/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "8ec8ee5a-ee3b-40f6-9bcb-c66bd20c395a",
"name": "sample string 2",
"pc_id": "407a3c31-47d5-4f0e-bd88-1c901c6018cb",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "b6cc9e24-fb41-4b2f-ab1c-46d47996c5f6",
"site_id": "c7090482-0b46-4414-8c59-958d25134086",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
},
{
"id": "8ec8ee5a-ee3b-40f6-9bcb-c66bd20c395a",
"name": "sample string 2",
"pc_id": "407a3c31-47d5-4f0e-bd88-1c901c6018cb",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "b6cc9e24-fb41-4b2f-ab1c-46d47996c5f6",
"site_id": "c7090482-0b46-4414-8c59-958d25134086",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
]
application/xml, text/xml
Sample:
<ArrayOfbadgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<badgereader>
<active>true</active>
<badge_reader_type_id>b6cc9e24-fb41-4b2f-ab1c-46d47996c5f6</badge_reader_type_id>
<baudrate>1</baudrate>
<com_port>1</com_port>
<data_bits>7</data_bits>
<direction>sample string 3</direction>
<handshake>9</handshake>
<has_correspondence>true</has_correspondence>
<id>8ec8ee5a-ee3b-40f6-9bcb-c66bd20c395a</id>
<name>sample string 2</name>
<parity>6</parity>
<pc_id>407a3c31-47d5-4f0e-bd88-1c901c6018cb</pc_id>
<site_id>c7090482-0b46-4414-8c59-958d25134086</site_id>
<stop_bits>8</stop_bits>
</badgereader>
<badgereader>
<active>true</active>
<badge_reader_type_id>b6cc9e24-fb41-4b2f-ab1c-46d47996c5f6</badge_reader_type_id>
<baudrate>1</baudrate>
<com_port>1</com_port>
<data_bits>7</data_bits>
<direction>sample string 3</direction>
<handshake>9</handshake>
<has_correspondence>true</has_correspondence>
<id>8ec8ee5a-ee3b-40f6-9bcb-c66bd20c395a</id>
<name>sample string 2</name>
<parity>6</parity>
<pc_id>407a3c31-47d5-4f0e-bd88-1c901c6018cb</pc_id>
<site_id>c7090482-0b46-4414-8c59-958d25134086</site_id>
<stop_bits>8</stop_bits>
</badgereader>
</ArrayOfbadgereader>